summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorSean Davis <smd.seandavis@gmail.com>2018-08-16 06:47:29 -0400
committerSimon Steinbeiß <simon.steinbeiss@elfenbeinturm.at>2018-08-27 23:57:09 +0200
commitbece8491f61b6b9b778b5c450134cf918add2410 (patch)
tree8d535ea93b38d67e2199893f5c03928373ffb0c1 /configure
parentae7f2180eec423472907d45e2dd9d3af13157286 (diff)
downloadelementary-xfce-bece8491f61b6b9b778b5c450134cf918add2410.tar.gz
Add DESTDIR/PREFIX
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure31
1 files changed, 31 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 00000000..8a2d27d9
--- /dev/null
+++ b/configure
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+help () {
+ echo "Supported options are:"
+ echo " --help print this help and exit"
+ echo " --prefix=<path> specify installation prefix"
+ echo " default <path> is /usr/local"
+}
+
+PREFIX="/usr/local"
+while [ $# -gt 0 ]; do
+ case $1 in
+ --help)
+ help
+ exit 0
+ ;;
+ --prefix=*)
+ PREFIX=`echo $1 | sed 's/--prefix=//'`
+ ;;
+ *)
+ echo "Unknown option $1"
+ help
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+echo "Creating Makefile..."
+sed -e s,@prefix@,$PREFIX, Makefile.in > Makefile
+echo "Installation prefix is $PREFIX"